Kerbal Space Program - Bug #5235

Ship quicksaved below 700 m above terrain on Pol is destroyed on quickolad
07/13/2015 10:13 AM - Kasuha

Status: Closed Start date: 07/13/2015
Severity: Normal % Done: 100%
Assignee:

Category: Buildings

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

There is about 700 m 'danger zone' above terrain on Pol. Moving in that space means danger of the ship randomly exploding due to
‘collision with terrain'. Quicksaving on Pol below 700 m above terrain means almost certain destruction of the ship on quickload.

| prepared three quicksaves of a ship landed on Pol at various altitudes. In all three cases when loading the quicksave, the ship will
first appear 700 m above terrain, then it will snap to the terrain level.

Reproduction steps:

load any of the three quicksaves

observe the altitude change during the load
launch the ship in any direction

quicksave below 700 m above terrain
quickload
Crashing into terrain in flight is harder to reproduce - keep flying up to 700 m above terrain and the ship will eventually explode. |
have not found any 100% reliable approach. Not sure what other criteria besides height need to be met.

In output_log.txt, the relevant messages are these:

Vessel Untitled Space Craft crashed through terrain on Pol
[00:00:00]: Untitled Space Craft crashed into Pol.

mk1pod (Untitled Space Craft) Exploded!! - blast awesomeness: 0.5
[mk1pod (Untitled Space Craft)]: Deactivated

[00:00:00]: Jebediah Kerman was killed.

The message is the same for crash from quickload and from crash when flying low above terrain

Notice that log messages used here differ from these used when the ship actually crashes into terrain. In such cases, messages are
like this:

[00:24:47]: Mk1 Command Pod collided into the surface.

mk1ipod (Untitled Space Craft) Exploded!! - blast awesomeness: 0.5
[mk1pod (Untitled Space Craft)]: Deactivated

[00:24:47]: Jebediah Kerman was killed.

Related issues:

Related to Kerbal Space Program - Bug #3423: Ship explodes way above Pol's su... Closed 11/03/2014
Related to Kerbal Space Program - Bug #2501: Quicksave during landing on Pol ... Closed 05/25/2014
Related to Kerbal Space Program - Bug #2049: Orbital Hell's Kraken (theory an... Closed 01/25/2014
Related to Kerbal Space Program - Bug #1601: Radar altitude off on Pol Closed 10/21/2013
History

#1 - 07/14/2015 05:03 PM - Squelch
- Related to Bug #3423: Ship explodes way above Pol's surface added
#2 - 07/14/2015 05:03 PM - Squelch

- Related to Bug #2501: Quicksave during landing on Pol - ship explodes on quickload, stays motionless in space. Game locks up. added

#3 - 07/15/2015 01:04 AM - Squelch
- Related to Bug #2049: Orbital Hell's Kraken (theory and reproduction steps included) added

#4 - 07/15/2015 01:04 AM - Squelch
- Related to Bug #1601: Radar altitude off on Pol added

#5 - 07/28/2015 03:25 AM - Herbal_Bass_Program

I'm having this problem too. I'm new to the bug forums, is there any information | can provide to help?

#6 - 08/07/2015 11:45 PM - RexKramer
- File PolCrash.rtf added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed. Easily reproduced by quicksaving and quick loading a vessel within 700m of Pol's surface.
Posting an additional player.log file with lots of errors, no idea what their significance is.

Forwarding to developers.

#8 - 03/13/2016 01:25 AM - ioresult

No need to quicksave and quickload in my case. | just go to the map in flight below 700m altitude and BOOM!

#9 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#10 - 10/15/2016 07:20 PM - Kasuha
Fixed in 1.2

Thanks!

#11 - 06/19/2019 07:46 PM - just_jim

- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

Confirming what Kasuha said in the last comment, this is fixed, and no longer occurring in version 1.7.2

#12 - 06/20/2019 12:08 AM - chris.fulton

- Status changed from Resolved to Closed

Files

Pol landed.sfs 42.7 KB 07/13/2015 Kasuha
Pol landed 2.sfs 42.7 KB 07/13/2015 Kasuha
Pol landed 3.sfs 42.7 KB 07/13/2015 Kasuha
quickload_output_log.txt 484 KB 07/13/2015 Kasuha
crash_output_log.txt 478 KB 07/13/2015 Kasuha
PolCrash.rtf 76.6 KB 08/07/2015 RexKramer
